Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class RulerOptions

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.graphics.RulerOptions

public class RulerOptions
extends Option

Class to store options for ruler painting.

Constructor Summary
`RulerOptions(Option parent, ColorFont font)` Creates `RulerOptions` and initializes it to the specified font.
`RulerOptions(Option parent, ColorFont majorFont, ColorFont minorFont, Dimension decDig, Pen axisPen, Pen ticksPen, Dimension tickSize, Dimension textOffset)` Creates `RulerOptions` and initializes it to the specified options.
`RulerOptions(Option parent, ColorFont majorFont, ColorFont minorFont, Dimension decDig, Pen axisPen, Pen ticksPen, Dimension tickSize, Dimension textOffset, int step, int ticks)` Creates `RulerOptions` and initializes it to the specified options.

Method Summary
`Pen` | `getAxisPen()`
`Dimension` | `getDecDig()`
`ColorFont` | `getMajorFont()`
`ColorFont` | `getMinorFont()`
`int` | `getStep()`
`Dimension` | `getTextOffset()`
`int` | `getTicks()`
`Dimension` | `getTickSize()`
`Pen` | `getTicksPen()`
`void` | `setAxisPen(Pen axisPen)`
`void` | `setDecDig(Dimension decDig)`
`void` | `setMajorFont(ColorFont majorFont)`
`void` | `setMinorFont(ColorFont minorFont)`
`void` | `setStep(int step)`
`void` | `setStepWithoutNotification(int step)`
`void` | `setTextOffset(Dimension textOffset)`
`void` | `setTicks(int ticks)`
`void` | `setTickSize(Dimension tickSize)`
`void` | `setTicksPen(Pen ticksPen)`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RulerOptions

    public RulerOptions(Option parent, ColorFont font)

  Creates `RulerOptions` and initializes it to the specified font.
  Parameters:
    parent - parent property
    font - the specified font

### RulerOptions

    public RulerOptions(Option parent, ColorFont majorFont, ColorFont minorFont, Dimension decDig, Pen axisPen, Pen ticksPen, Dimension tickSize, Dimension textOffset)

  Creates `RulerOptions` and initializes it to the specified options.
  Parameters:
    parent - parent property
    majorFont - font for major labels
    minorFont - font for minor labels
    decDig - precision (width - integer part, height - fractional part)
    axisPen - pen to paint main axis of the ruler
    ticksPen - pen to paint ticks of the ruler
    tickSize - size of the ticks
    textOffset - shift of labels relative to ruler (width - in X coordinate, height - in Y coordinate)

### RulerOptions

    public RulerOptions(Option parent, ColorFont majorFont, ColorFont minorFont, Dimension decDig, Pen axisPen, Pen ticksPen, Dimension tickSize, Dimension textOffset, int step, int ticks)

  Creates `RulerOptions` and initializes it to the specified options.
  Parameters:
    parent - parent property
    majorFont - font for major labels
    minorFont - font for minor labels
    decDig - precision (width - integer part, height - fractional part)
    axisPen - pen to paint main axis of the ruler
    ticksPen - pen to paint ticks of the ruler
    tickSize - size of the ticks
    textOffset - shift of labels relative to ruler (width - in X coordinate, height - in Y coordinate)

Method Detail

### getAxisPen

    public Pen getAxisPen()

### getDecDig

    public Dimension getDecDig()

### getMajorFont

    public ColorFont getMajorFont()

### getMinorFont

    public ColorFont getMinorFont()

### getStep

    public int getStep()

### getTextOffset

    public Dimension getTextOffset()

### getTicks

    public int getTicks()

### getTickSize

    public Dimension getTickSize()

### getTicksPen

    public Pen getTicksPen()

### setAxisPen

    public void setAxisPen(Pen axisPen)

### setDecDig

    public void setDecDig(Dimension decDig)

### setMajorFont

    public void setMajorFont(ColorFont majorFont)

### setMinorFont

    public void setMinorFont(ColorFont minorFont)

### setStep

    public void setStep(int step)

### setStepWithoutNotification

    public void setStepWithoutNotification(int step)

### setTextOffset

    public void setTextOffset(Dimension textOffset)

### setTicks

    public void setTicks(int ticks)

### setTickSize

    public void setTickSize(Dimension tickSize)

### setTicksPen

    public void setTicksPen(Pen ticksPen)

Association Links

to Class ru.biosoft.graphics.font.ColorFont

  `ColorFont` for major labels.

to Class ru.biosoft.graphics.font.ColorFont

  `ColorFont` for minor labels.

to Class java.awt.Dimension

  Precision of tabels, `Dimension.width` - integer part, `Dimension.height` - fractional part.

to Class ru.biosoft.graphics.Pen

  `Pen` to paint main axis of the ruler.

to Class ru.biosoft.graphics.Pen

  `Pen` to paint ticks of the ruler.

to Class java.awt.Dimension

  Size of the ticks.

to Class java.awt.Dimension

  Shift of labels relative to the ruler, `Dimension.width` - in X coordinate, `Dimension.height` - in Y coordinate)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM